# UpdateGlobalVar

### type ContractPrice

```dart
ContractPrice(
    int pairId,
    String marketPrice,
)
```

**input:**

* pairId: The contract pair id defined by zkLink.
* marketPrice: The market price of the contract pair

### type SpotPriceInfo

```dart
SpotPriceInfo(
    int tokenId,
    String price,
)
```

**input:**

* tokenId: The token id defined by zkLink.
* price: The spot price of the token.

### type FundingInfo

```dart
FundingInfo(
    int pairId,
    String price,
	int fundingRate,
)
```

### type Parameter

The [Parameter](/developer/api-and-sdk/transaction/update_global_var.md) struct of [UpdateGlobalVar](#type-updateglobalvar).

#### func insuranceFundAccount

```dart
insuranceFundAccount(int accountId)
```

#### func feeAccount

```dart
feeAccount(int accountId)
```

#### func marginInfo

```dart
marginInfo(
	int marginId,
	String? symbol,
	int tokenId,
	int ratio,
)
```

#### func contractInfo

```dart
contractInfo(
	int pairId,
    String symbol,
	int initialMarginRate,
	int maintenanceMarginRate,
)
```

#### func feeAccount

```dart
feeAccount(int accountId)
```

#### func fundingInfos

```dart
fundingInfos(List<FundingInfo> infos)
```

### type UpdateGlobalVar

[UpdateGlobalVar](/developer/api-and-sdk/transaction/update_global_var.md) transaction type.

```dart
UpdateGlobalVar(
    int fromChainId,
	int subAccountId,
	Parameter parameter,
	double serialId,
)
```

#### func toJson

```dart
String toJson()
```

Get the json str of [UpdateGlobalVar](#type-updateglobalvar)

#### Example

```dart
var tx = UpdateGlobalVar(
	fromChainId: 1,
	subAccountId: 2,
	parameter: Parameter.feeAccount(accountId: 8),
	serialId: 101
);
print(tx.toJson());
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zk.link/developer/sdk/changelog-2/transactions/10-update-global-var.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
